package com.jay.monitor.data.server.config.props;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/12/15 15:28
 */
@ConfigurationProperties(prefix = "spring.oss")
public class OSSProperties {

    /**
     * oss的endpoint
     */
    private String endpoint;
    /**
     * 密钥的key
     */
    private String accessKeyId;

    /**
     * 阿里云的access Secret
     */
    private String accessKeySecret;

    /**
     * 存储的桶名称
     */
    private String defaultBucketName;

    /**
     * 桶下面的位置
     */
    private String defaultBucketPath;

    public String getDefaultBucketName() {
        return defaultBucketName;
    }

    public void setDefaultBucketName(String defaultBucketName) {
        this.defaultBucketName = defaultBucketName;
    }

    public String getDefaultBucketPath() {
        return defaultBucketPath;
    }

    public void setDefaultBucketPath(String defaultBucketPath) {
        this.defaultBucketPath = defaultBucketPath;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getAccessKeyId() {
        return accessKeyId;
    }

    public void setAccessKeyId(String accessKeyId) {
        this.accessKeyId = accessKeyId;
    }

    public String getAccessKeySecret() {
        return accessKeySecret;
    }

    public void setAccessKeySecret(String accessKeySecret) {
        this.accessKeySecret = accessKeySecret;
    }
}
